<div class="talliesTableContainer">
  <table *ngIf="tallies" mat-table [dataSource]="dataSource" class="talliesTable">
    <ng-container [matColumnDef]="'time'">
      <th class="talliesTableImageColumn" mat-header-cell *matHeaderCellDef>Time</th>
      <td [style.text-decoration]="element.cancelled ? 'line-through' : 'none'" class="talliesTableImageColumn" mat-cell
          *matCellDef="let element">{{settingsHandler.getTimestampFormatted(element.time)}}</td>
    </ng-container>
    <ng-container [matColumnDef]="'product'">
      <th class="talliesTableImageColumn" mat-header-cell *matHeaderCellDef>Prod.</th>
      <td class="talliesTableImageColumn" mat-cell *matCellDef="let element">
        <app-product-image [product]="getProductByTally(element)!"></app-product-image>
      </td>
    </ng-container>
    <ng-container [matColumnDef]="'price'">
      <th class="talliesTableImageColumn" mat-header-cell *matHeaderCellDef>Price</th>
      <td [style.text-decoration]="element.cancelled ? 'line-through' : 'none'" class="talliesTableImageColumn" mat-cell
          *matCellDef="let element">{{settingsHandler.getAmountFormatted(getProductByTally(element)?.price || 0)}}</td>
    </ng-container>
    <ng-container [matColumnDef]="'button'">
      <th class="talliesTableImageColumn" mat-header-cell *matHeaderCellDef>Cancel</th>
      <td class="talliesTableImageColumn" mat-cell *matCellDef="let element">
        <button mat-raised-button
                (click)="onTallyCancelled.emit(element)">{{element.cancelled ? 'Rebuy' : 'Cancel'}}</button>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
  <mat-paginator [pageSizeOptions]="[5, 10, 20]"
                 showFirstLastButtons
                 aria-label="Select page of tally elements">
  </mat-paginator>
</div>
